Bug 135146 - [PATCH] mail/mutt-devel: Remove unused configure args, pet portlint
Summary: [PATCH] mail/mutt-devel: Remove unused configure args, pet portlint
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-01 09:00 UTC by Ulrich Spoerlein
Modified: 2009-06-05 22:30 UTC (History)
1 user (show)

See Also:


Attachments
mutt-devel-1.5.19_1.patch (1.41 KB, patch)
2009-06-01 09:00 UTC, Ulrich Spoerlein
no flags Details | Diff
mutt-devel.diff (48.09 KB, patch)
2009-06-02 10:57 UTC, Udo.Schweigert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Spoerlein 2009-06-01 09:00:04 UTC
When recompiling mutt-devel, I saw the following warnings and remove the no longer
used flags. Also, portlint complains about PREFIX showing up in DEPENDS lines, this
should be LOCALBASE

Port maintainer (udo.schweigert@siemens.com) is cc'd.
Generated with FreeBSD Port Tools 0.77

How-To-Repeat: Compile with WITH_MUTT_MAILDIR_HEADER_CACHE, look at configure output or config.log:

config.log:configure:23780: WARNING: Unrecognized options: --with-sharedir, --disable-inodesort
Comment 1 Edwin Groothuis freebsd_committer 2009-06-01 09:00:25 UTC
Maintainer of mail/mutt-devel,

Please note that PR ports/135146 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/135146

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-06-01 09:00:27 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Martin Wilke freebsd_committer 2009-06-01 09:08:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 4 Udo.Schweigert 2009-06-02 10:57:39 UTC
Hi Martin, 

please use the attached patch, it also brings the SIDEBAR_PATCH to the most
recent version. Please also try to test it in your environment, as we had
some trouble with it in the past.

Regards.

Udo


 On Mon, Jun 01, 2009 at 08:08:35 +0000, miwi@freebsd.org wrote:
> Synopsis: [PATCH] mail/mutt-devel: Remove unused configure args, pet portlint
> 
> Responsible-Changed-From-To: freebsd-ports-bugs->miwi
> Responsible-Changed-By: miwi
> Responsible-Changed-When: Mon Jun 1 08:08:35 UTC 2009
> Responsible-Changed-Why: 
> I'll take it.
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=135146
> 
Comment 5 Martin Wilke freebsd_committer 2009-06-05 22:29:35 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2009-06-05 22:29:43 UTC
miwi        2009-06-05 21:29:29 UTC

  FreeBSD ports repository

  Modified files:
    mail/mutt-devel      Makefile 
    mail/mutt-devel/files extra-patch-sidebar 
                          extra-patch-sidebar-nntp 
  Log:
  - Remove unused configure args
  - pet portlint
  - Update sidebar-patches [1]
  
  PR:             135146
  Submitted by:   Ulrich Spoerlein <uqs@spoerlein.net>
  Approved by:    maintainer [1]
  
  Revision  Changes    Path
  1.302     +6 -6      ports/mail/mutt-devel/Makefile
  1.4       +430 -382  ports/mail/mutt-devel/files/extra-patch-sidebar
  1.2       +429 -381  ports/mail/mutt-devel/files/extra-patch-sidebar-nntp
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"